import { computed as Bn, defineComponent as Vn, ref as Se, resolveComponent as cr, openBlock as w, createElementBlock as x, createVNode as Oe, withCtx as lr, Fragment as j, renderList as qr, createBlock as Nr, createElementVNode as Ne, renderSlot as Ee, createTextVNode as Ce, toDisplayString as Te } from "vue";
var Hn = {
  cookies: {
    path: "/"
  },
  treeOptions: {
    parentKey: "parentId",
    key: "id",
    children: "children"
  },
  parseDateFormat: "yyyy-MM-dd HH:mm:ss",
  firstDayOfWeek: 1
}, U = Hn;
function xn(r, e, a) {
  if (r)
    if (r.forEach)
      r.forEach(e, a);
    else
      for (var t = 0, n = r.length; t < n; t++)
        e.call(a, r[t], t, r);
}
var S = xn, Zn = Object.prototype.toString, et = Zn, Kn = et;
function Jn(r) {
  return function(e) {
    return "[object " + r + "]" === Kn.call(e);
  };
}
var $r = Jn, Qn = $r, Xn = Array.isArray || Qn("Array"), m = Xn;
function jn(r, e) {
  return r && r.hasOwnProperty ? r.hasOwnProperty(e) : !1;
}
var I = jn, ri = I;
function ei(r, e, a) {
  if (r)
    for (var t in r)
      ri(r, t) && e.call(a, r[t], t, r);
}
var hr = ei, ai = m, ti = S, ni = hr;
function ii(r, e, a) {
  return r && (ai(r) ? ti : ni)(r, e, a);
}
var d = ii;
function ui(r) {
  return function(e) {
    return typeof e === r;
  };
}
var tr = ui, vi = tr, ci = vi("function"), N = ci, li = d;
function fi(r, e) {
  var a = Object[r];
  return function(t) {
    var n = [];
    if (t) {
      if (a)
        return a(t);
      li(t, e > 1 ? function(i) {
        n.push(["" + i, t[i]]);
      } : function() {
        n.push(arguments[e]);
      });
    }
    return n;
  };
}
var ce = fi, oi = ce, si = oi("keys", 1), P = si, $i = et, hi = hr, pi = S;
function Br(r, e) {
  var a = r.__proto__.constructor;
  return e ? new a(e) : new a();
}
function Er(r, e) {
  return e ? at(r, e) : r;
}
function at(r, e) {
  if (r)
    switch ($i.call(r)) {
      case "[object Object]": {
        var a = Object.create(Object.getPrototypeOf(r));
        return hi(r, function(u, v) {
          a[v] = Er(u, e);
        }), a;
      }
      case "[object Date]":
      case "[object RegExp]":
        return Br(r, r.valueOf());
      case "[object Array]":
      case "[object Arguments]": {
        var t = [];
        return pi(r, function(u) {
          t.push(Er(u, e));
        }), t;
      }
      case "[object Set]": {
        var n = Br(r);
        return n.forEach(function(u) {
          n.add(Er(u, e));
        }), n;
      }
      case "[object Map]": {
        var i = Br(r);
        return i.forEach(function(u, v) {
          i.set(v, Er(u, e));
        }), i;
      }
    }
  return r;
}
function gi(r, e) {
  return r && at(r, e);
}
var le = gi, mi = S, _i = P, di = m, yi = le, Me = Object.assign;
function we(r, e, a) {
  for (var t = e.length, n, i = 1; i < t; i++)
    n = e[i], mi(_i(e[i]), a ? function(u) {
      r[u] = yi(n[u], a);
    } : function(u) {
      r[u] = n[u];
    });
  return r;
}
var Di = function(r) {
  if (r) {
    var e = arguments;
    if (r === !0) {
      if (e.length > 1)
        return r = di(r[1]) ? [] : {}, we(r, e, !0);
    } else
      return Me ? Me.apply(Object, e) : we(r, e);
  }
  return r;
}, W = Di, Si = U, Oi = S, Ni = d, Ei = N, Ci = W, K = function() {
};
function Ti() {
  Oi(arguments, function(r) {
    Ni(r, function(e, a) {
      K[a] = Ei(e) ? function() {
        var t = e.apply(K.$context, arguments);
        return K.$context = null, t;
      } : e;
    });
  });
}
function Mi(r) {
  return Ci(Si, r);
}
K.VERSION = "3.5.23";
K.mixin = Ti;
K.setup = Mi;
var wi = K;
function Ii(r, e, a) {
  for (var t = r.length - 1; t >= 0; t--)
    e.call(a, r[t], t, r);
}
var fe = Ii, Wi = fe, Fi = P;
function Ai(r, e, a) {
  Wi(Fi(r), function(t) {
    e.call(a, r[t], t, r);
  });
}
var tt = Ai;
function Ri(r) {
  return r === null;
}
var G = Ri, ki = G;
function Ui(r, e) {
  return function(a) {
    return ki(a) ? e : a[r];
  };
}
var nr = Ui, Pi = d, Gi = N, Li = nr;
function Yi(r, e, a) {
  var t = {};
  if (r)
    if (e)
      Gi(e) || (e = Li(e)), Pi(r, function(n, i) {
        t[i] = e.call(a, n, i, r);
      });
    else
      return r;
  return t;
}
var zi = Yi;
function bi(r) {
  return r ? r.constructor === Object : !1;
}
var ir = bi, Ie = m, We = ir, qi = d;
function nt(r, e) {
  return We(r) && We(e) || Ie(r) && Ie(e) ? (qi(e, function(a, t) {
    r[t] = nt(r[t], a);
  }), r) : e;
}
var Bi = function(r) {
  r || (r = {});
  for (var e = arguments, a = e.length, t, n = 1; n < a; n++)
    t = e[n], t && nt(r, t);
  return r;
}, Vi = Bi, Hi = d;
function xi(r, e, a) {
  var t = [];
  if (r && arguments.length > 1) {
    if (r.map)
      return r.map(e, a);
    Hi(r, function() {
      t.push(e.apply(a, arguments));
    });
  }
  return t;
}
var ur = xi, Zi = I, Ki = m;
function Ji(r, e, a, t, n) {
  return function(i, u, v) {
    if (i && u) {
      if (r && i[r])
        return i[r](u, v);
      if (e && Ki(i)) {
        for (var c = 0, l = i.length; c < l; c++)
          if (!!u.call(v, i[c], c, i) === t)
            return [!0, !1, c, i[c]][a];
      } else
        for (var f in i)
          if (Zi(i, f) && !!u.call(v, i[f], f, i) === t)
            return [!0, !1, f, i[f]][a];
    }
    return n;
  };
}
var Rr = Ji, Qi = Rr, Xi = Qi("some", 1, 0, !0, !1), it = Xi, ji = Rr, ru = ji("every", 1, 1, !1, !0), ut = ru, eu = I;
function au(r, e) {
  if (r) {
    if (r.includes)
      return r.includes(e);
    for (var a in r)
      if (eu(r, a) && e === r[a])
        return !0;
  }
  return !1;
}
var pr = au, Fe = m, Ae = pr;
function tu(r, e) {
  var a, t = 0;
  if (Fe(r) && Fe(e)) {
    for (a = e.length; t < a; t++)
      if (!Ae(r, e[t]))
        return !1;
    return !0;
  }
  return Ae(r, e);
}
var vt = tu, Re = d, nu = pr, iu = N, uu = nr;
function vu(r, e, a) {
  var t = [];
  if (e) {
    iu(e) || (e = uu(e));
    var n, i = {};
    Re(r, function(u, v) {
      n = e.call(a, u, v, r), i[n] || (i[n] = 1, t.push(u));
    });
  } else
    Re(r, function(u) {
      nu(t, u) || t.push(u);
    });
  return t;
}
var ct = vu, cu = ur;
function lu(r) {
  return cu(r, function(e) {
    return e;
  });
}
var oe = lu, fu = ct, ou = oe;
function su() {
  for (var r = arguments, e = [], a = 0, t = r.length; a < t; a++)
    e = e.concat(ou(r[a]));
  return fu(e);
}
var $u = su, hu = "undefined", F = hu, pu = F, gu = tr, mu = gu(pu), R = mu, _u = G, du = R;
function yu(r) {
  return _u(r) || du(r);
}
var B = yu, Du = /(.+)?\[(\d+)\]$/, lt = Du;
function Su(r) {
  return r ? r.splice && r.join ? r : ("" + r).replace(/(\[\d+\])\.?/g, "$1.").replace(/\.$/, "").split(".") : [];
}
var se = Su, Ou = lt, Nu = se, Eu = I, Cu = R, ft = B;
function Tu(r, e, a) {
  if (ft(r))
    return a;
  var t = wu(r, e);
  return Cu(t) ? a : t;
}
function Mu(r, e) {
  var a = e ? e.match(Ou) : "";
  return a ? a[1] ? r[a[1]] ? r[a[1]][a[2]] : void 0 : r[a[2]] : r[e];
}
function wu(r, e) {
  if (r) {
    var a, t, n, i = 0;
    if (r[e] || Eu(r, e))
      return r[e];
    if (t = Nu(e), n = t.length, n) {
      for (a = r; i < n; i++)
        if (a = Mu(a, t[i]), ft(a))
          return i === n - 1 ? a : void 0;
    }
    return a;
  }
}
var gr = Tu, ke = S, Iu = oe, Ue = ur, Pe = m, Wu = N, Fu = ir, Ge = R, Au = G, Ru = B, ku = gr, Uu = nr, Pu = "asc", Gu = "desc";
function ie(r, e) {
  return Ge(r) ? 1 : Au(r) ? Ge(e) ? -1 : 1 : r && r.localeCompare ? r.localeCompare(e) : r > e ? 1 : -1;
}
function Lu(r, e, a) {
  return function(t, n) {
    var i = t[r], u = n[r];
    return i === u ? a ? a(t, n) : 0 : e.order === Gu ? ie(u, i) : ie(i, u);
  };
}
function Yu(r, e, a, t) {
  var n = [];
  return a = Pe(a) ? a : [a], ke(a, function(i, u) {
    if (i) {
      var v = i, c;
      Pe(i) ? (v = i[0], c = i[1]) : Fu(i) && (v = i.field, c = i.order), n.push({
        field: v,
        order: c || Pu
      }), ke(e, Wu(v) ? function(l, f) {
        l[u] = v.call(t, l.data, f, r);
      } : function(l) {
        l[u] = v ? ku(l.data, v) : l.data;
      });
    }
  }), n;
}
function zu(r, e, a) {
  if (r) {
    if (Ru(e))
      return Iu(r).sort(ie);
    for (var t, n = Ue(r, function(v) {
      return { data: v };
    }), i = Yu(r, n, e, a), u = i.length - 1; u >= 0; )
      t = Lu(u, i[u], t), u--;
    return t && (n = n.sort(t)), Ue(n, Uu("data"));
  }
  return [];
}
var $e = zu, bu = $e, qu = bu, Bu = qu;
function Vu(r, e) {
  return r >= e ? r : (r = r >> 0) + Math.round(Math.random() * ((e || 9) - r));
}
var ot = Vu, Hu = ce, xu = Hu("values", 0), vr = xu, Zu = ot, Ku = vr;
function Ju(r) {
  for (var e, a = [], t = Ku(r), n = t.length - 1; n >= 0; n--)
    e = n > 0 ? Zu(0, n) : 0, a.push(t[e]), t.splice(e, 1);
  return a;
}
var st = Ju, Qu = st;
function Xu(r, e) {
  var a = Qu(r);
  return arguments.length <= 1 ? a[0] : (e < a.length && (a.length = e || 0), a);
}
var ju = Xu;
function rv(r) {
  return function(e) {
    if (e) {
      var a = r(e && e.replace ? e.replace(/,/g, "") : e);
      if (!isNaN(a))
        return a;
    }
    return 0;
  };
}
var $t = rv, ev = $t, av = ev(parseFloat), Q = av, Le = Q;
function tv(r, e, a) {
  var t = [], n = arguments.length;
  if (r) {
    if (e = n >= 2 ? Le(e) : 0, a = n >= 3 ? Le(a) : r.length, r.slice)
      return r.slice(e, a);
    for (; e < a; e++)
      t.push(r[e]);
  }
  return t;
}
var X = tv, nv = d;
function iv(r, e, a) {
  var t = [];
  if (r && e) {
    if (r.filter)
      return r.filter(e, a);
    nv(r, function(n, i) {
      e.call(a, n, i, r) && t.push(n);
    });
  }
  return t;
}
var uv = iv, vv = Rr, cv = vv("", 0, 2, !0), lv = cv, fv = Rr, ov = fv("find", 1, 3, !0), sv = ov, $v = m, hv = vr;
function pv(r, e, a) {
  if (r) {
    $v(r) || (r = hv(r));
    for (var t = r.length - 1; t >= 0; t--)
      if (e.call(a, r[t], t, r))
        return r[t];
  }
}
var gv = pv, mv = P;
function _v(r, e, a) {
  if (r) {
    var t, n, i = 0, u = null, v = a, c = arguments.length > 2, l = mv(r);
    if (r.length && r.reduce)
      return n = function() {
        return e.apply(u, arguments);
      }, c ? r.reduce(n, v) : r.reduce(n);
    for (c && (i = 1, v = r[l[0]]), t = l.length; i < t; i++)
      v = e.call(u, v, r[l[i]], i, r);
    return v;
  }
}
var dv = _v, yv = m;
function Dv(r, e, a, t) {
  if (yv(r) && r.copyWithin)
    return r.copyWithin(e, a, t);
  var n, i, u = e >> 0, v = a >> 0, c = r.length, l = arguments.length > 3 ? t >> 0 : c;
  if (u < c && (u = u >= 0 ? u : c + u, u >= 0 && (v = v >= 0 ? v : c + v, l = l >= 0 ? l : c + l, v < l)))
    for (n = 0, i = r.slice(v, l); u < c && !(i.length <= n); u++)
      r[u] = i[n++];
  return r;
}
var Sv = Dv, Ov = m;
function Nv(r, e) {
  var a, t = [], n = e >> 0 || 1;
  if (Ov(r))
    if (n >= 0 && r.length > n)
      for (a = 0; a < r.length; )
        t.push(r.slice(a, a + n)), a += n;
    else
      t = r.length ? [r] : r;
  return t;
}
var Ev = Nv, Cv = ur, Tv = nr;
function Mv(r, e) {
  return Cv(r, Tv(e));
}
var ht = Mv, wv = N, Ye = B, Iv = gr, Wv = S;
function Fv(r) {
  return function(e, a) {
    if (e && e.length) {
      var t, n;
      return Wv(e, function(i, u) {
        a && (i = wv(a) ? a(i, u, e) : Iv(i, a)), !Ye(i) && (Ye(t) || r(t, i)) && (n = u, t = i);
      }), e[n];
    }
    return t;
  };
}
var pt = Fv, Av = pt, Rv = Av(function(r, e) {
  return r < e;
}), gt = Rv, kv = ht, Uv = gt;
function Pv(r) {
  var e, a, t, n = [];
  if (r && r.length)
    for (e = 0, a = Uv(r, function(i) {
      return i ? i.length : 0;
    }), t = a ? a.length : 0; e < t; e++)
      n.push(kv(r, e));
  return n;
}
var mt = Pv, Gv = mt;
function Lv() {
  return Gv(arguments);
}
var Yv = Lv, zv = vr, bv = d;
function qv(r, e) {
  var a = {};
  return e = e || [], bv(zv(r), function(t, n) {
    a[t] = e[n];
  }), a;
}
var Bv = qv, _t = m, Vv = S;
function dt(r, e) {
  var a = [];
  return Vv(r, function(t) {
    a = a.concat(_t(t) ? e ? dt(t, e) : t : [t]);
  }), a;
}
function Hv(r, e) {
  return _t(r) ? dt(r, e) : [];
}
var xv = Hv, Zv = ur, Kv = m;
function Jv(r, e) {
  for (var a = 0, t = e.length; r && a < t; )
    r = r[e[a++]];
  return t && r ? r : 0;
}
function Qv(r, e) {
  for (var a, t = arguments, n = [], i = [], u = 2, v = t.length; u < v; u++)
    n.push(t[u]);
  if (Kv(e)) {
    for (v = e.length - 1, u = 0; u < v; u++)
      i.push(e[u]);
    e = e[v];
  }
  return Zv(r, function(c) {
    if (i.length && (c = Jv(c, i)), a = c[e] || e, a && a.apply)
      return a.apply(c, n);
  });
}
var Xv = Qv;
function jv(r, e) {
  try {
    delete r[e];
  } catch {
    r[e] = void 0;
  }
}
var yt = jv, rc = m, ec = fe, ac = tt;
function tc(r, e, a) {
  return r && (rc(r) ? ec : ac)(r, e, a);
}
var Dt = tc, nc = tr, ic = nc("object"), kr = ic, uc = yt, vc = ir, cc = kr, lc = m, fc = G, oc = W, sc = hr;
function $c(r, e, a) {
  if (r) {
    var t, n = arguments.length > 1 && (fc(e) || !cc(e)), i = n ? a : e;
    if (vc(r))
      sc(r, n ? function(u, v) {
        r[v] = e;
      } : function(u, v) {
        uc(r, v);
      }), i && oc(r, i);
    else if (lc(r)) {
      if (n)
        for (t = r.length; t > 0; )
          t--, r[t] = e;
      else
        r.length = 0;
      i && r.push.apply(r, i);
    }
  }
  return r;
}
var St = $c, hc = yt, pc = N, gc = m, mc = d, _c = S, dc = Dt, yc = St, Dc = B;
function Sc(r) {
  return function(e, a) {
    return a === r;
  };
}
function Oc(r, e, a) {
  if (r) {
    if (!Dc(e)) {
      var t = [], n = [];
      return pc(e) || (e = Sc(e)), mc(r, function(i, u, v) {
        e.call(a, i, u, v) && t.push(u);
      }), gc(r) ? dc(t, function(i, u) {
        n.push(r[i]), r.splice(i, 1);
      }) : (n = {}, _c(t, function(i) {
        n[i] = r[i], hc(r, i);
      })), n;
    }
    return yc(r);
  }
  return r;
}
var Ot = Oc, Nc = U, Ec = $e, Cc = le, Tc = B, ue = d, Mc = Ot, wc = W;
function Ic(r, e) {
  ue(r, function(a) {
    a[e] && !a[e].length && Mc(a, e);
  });
}
function Wc(r, e) {
  var a = wc({}, Nc.treeOptions, e), t = a.strict, n = a.key, i = a.parentKey, u = a.children, v = a.mapChildren, c = a.sortKey, l = a.reverse, f = a.data, s = [], o = {}, p = {}, h, y, _;
  return c && (r = Ec(Cc(r), c), l && (r = r.reverse())), ue(r, function(D) {
    h = D[n], p[h] = !0;
  }), ue(r, function(D) {
    h = D[n], f ? (y = {}, y[f] = D) : y = D, _ = D[i], o[h] = o[h] || [], o[_] = o[_] || [], o[_].push(y), y[n] = h, y[i] = _, y[u] = o[h], v && (y[v] = o[h]), (!t || t && Tc(_)) && (p[_] || s.push(y));
  }), t && Ic(r, u), s;
}
var Fc = Wc, Ac = U, Rc = d, kc = W;
function Nt(r, e, a) {
  var t = a.children, n = a.data, i = a.clear;
  return Rc(e, function(u) {
    var v = u[t];
    n && (u = u[n]), r.push(u), v && v.length && Nt(r, v, a), i && delete u[t];
  }), r;
}
function Uc(r, e) {
  return Nt([], r, kc({}, Ac.treeOptions, e));
}
var Pc = Uc;
function Gc(r) {
  return function(e, a, t, n) {
    var i = t || {}, u = i.children || "children";
    return r(null, e, a, n, [], [], u, i);
  };
}
var Ur = Gc, Lc = Ur;
function Et(r, e, a, t, n, i, u, v) {
  if (e) {
    var c, l, f, s, o, p;
    for (l = 0, f = e.length; l < f; l++) {
      if (c = e[l], s = n.concat(["" + l]), o = i.concat([c]), a.call(t, c, l, e, s, r, o))
        return { index: l, item: c, path: s, items: e, parent: r, nodes: o };
      if (u && c && (p = Et(c, c[u], a, t, s.concat([u]), o, u), p))
        return p;
    }
  }
}
var Yc = Lc(Et), zc = Yc, bc = Ur, qc = d;
function Ct(r, e, a, t, n, i, u, v) {
  var c, l;
  qc(e, function(f, s) {
    c = n.concat(["" + s]), l = i.concat([f]), a.call(t, f, s, e, c, r, l), f && u && (c.push(u), Ct(f, f[u], a, t, c, l, u));
  });
}
var Bc = bc(Ct), Tt = Bc, Vc = Ur, Hc = ur;
function Mt(r, e, a, t, n, i, u, v) {
  var c, l, f, s = v.mapChildren || u;
  return Hc(e, function(o, p) {
    return c = n.concat(["" + p]), l = i.concat([o]), f = a.call(t, o, p, e, c, r, l), f && o && u && o[u] && (f[s] = Mt(o, o[u], a, t, c, l, u, v)), f;
  });
}
var xc = Vc(Mt), Zc = xc, Kc = Tt;
function Jc(r, e, a, t) {
  var n = [];
  return r && e && Kc(r, function(i, u, v, c, l, f) {
    e.call(t, i, u, v, c, l, f) && n.push(i);
  }, a), n;
}
var Qc = Jc, Xc = Ur, jc = S, rl = W;
function wt(r, e, a, t, n, i, u, v, c) {
  var l, f, s, o, p, h = [], y = c.original, _ = c.data, D = c.mapChildren || v, C = c.isEvery;
  return jc(a, function($, g) {
    l = i.concat(["" + g]), f = u.concat([$]), o = r && !C || t.call(n, $, g, a, l, e, f), p = v && $[v], o || p ? (y ? s = $ : (s = rl({}, $), _ && (s[_] = $)), s[D] = wt(o, $, $[v], t, n, l, f, v, c), (o || s[D].length) && h.push(s)) : o && h.push(s);
  }), h;
}
var el = Xc(function(r, e, a, t, n, i, u, v) {
  return wt(0, r, e, a, t, n, i, u, v);
}), al = el;
function tl(r, e) {
  if (r.indexOf)
    return r.indexOf(e);
  for (var a = 0, t = r.length; a < t; a++)
    if (e === r[a])
      return a;
}
var It = tl;
function nl(r, e) {
  if (r.lastIndexOf)
    return r.lastIndexOf(e);
  for (var a = r.length - 1; a >= 0; a--)
    if (e === r[a])
      return a;
  return -1;
}
var Wt = nl, il = tr, ul = il("number"), k = ul, vl = k;
function cl(r) {
  return vl(r) && isNaN(r);
}
var ll = cl, fl = tr, ol = fl("string"), L = ol, sl = $r, $l = sl("Date"), V = $l, hl = parseInt, mr = hl;
function pl(r) {
  return Date.UTC(r.y, r.M || 0, r.d || 1, r.H || 0, r.m || 0, r.s || 0, r.S || 0);
}
var gl = pl;
function ml(r) {
  return r.getTime();
}
var T = ml, Wr = mr, ze = gl, _l = T, dl = L, yl = V;
function _r(r) {
  return "(\\d{" + r + "})";
}
function Dl(r) {
  return r < 10 ? r * 100 : r < 100 ? r * 10 : r;
}
function be(r) {
  return isNaN(r) ? r : Wr(r);
}
var rr = _r(2), ar = _r("1,2"), Ft = _r("1,7"), At = _r("3,4"), Rt = ".{1}", fr = Rt + ar, kt = "(([zZ])|([-+]\\d{2}:?\\d{2}))", qe = [At, fr, fr, fr, fr, fr, Rt + Ft, kt], ve = [];
for (var Vr = qe.length - 1; Vr >= 0; Vr--) {
  for (var Be = "", J = 0; J < Vr + 1; J++)
    Be += qe[J];
  ve.push(new RegExp("^" + Be + "$"));
}
function Sl(r) {
  for (var e, a = {}, t = 0, n = ve.length; t < n; t++)
    if (e = r.match(ve[t]), e) {
      a.y = e[1], a.M = e[2], a.d = e[3], a.H = e[4], a.m = e[5], a.s = e[6], a.S = e[7], a.Z = e[8];
      break;
    }
  return a;
}
var Ve = [
  ["yyyy", At],
  ["yy", rr],
  ["MM", rr],
  ["M", ar],
  ["dd", rr],
  ["d", ar],
  ["HH", rr],
  ["H", ar],
  ["mm", rr],
  ["m", ar],
  ["ss", rr],
  ["s", ar],
  ["SSS", _r(3)],
  ["S", Ft],
  ["Z", kt]
], Ut = {}, Pt = ["\\[([^\\]]+)\\]"];
for (var J = 0; J < Ve.length; J++) {
  var Hr = Ve[J];
  Ut[Hr[0]] = Hr[1] + "?", Pt.push(Hr[0]);
}
var Ol = new RegExp(Pt.join("|"), "g"), He = {};
function Nl(r, e) {
  var a = He[e];
  if (!a) {
    var t = [], n = e.replace(/([$(){}*+.?\\^|])/g, "\\$1").replace(Ol, function(f, s) {
      var o = f.charAt(0);
      return o === "[" ? s : (t.push(o), Ut[f]);
    });
    a = He[e] = {
      _i: t,
      _r: new RegExp(n)
    };
  }
  var i = {}, u = r.match(a._r);
  if (u) {
    for (var v = a._i, c = 1, l = u.length; c < l; c++)
      i[v[c - 1]] = u[c];
    return i;
  }
  return i;
}
function El(r) {
  if (/^[zZ]/.test(r.Z))
    return new Date(ze(r));
  var e = r.Z.match(/([-+])(\d{2}):?(\d{2})/);
  return e ? new Date(ze(r) - (e[1] === "-" ? -1 : 1) * Wr(e[2]) * 36e5 + Wr(e[3]) * 6e4) : /* @__PURE__ */ new Date("");
}
function Cl(r, e) {
  if (r) {
    var a = yl(r);
    if (a || !e && /^[0-9]{11,15}$/.test(r))
      return new Date(a ? _l(r) : Wr(r));
    if (dl(r)) {
      var t = e ? Nl(r, e) : Sl(r);
      if (t.y)
        return t.M && (t.M = be(t.M) - 1), t.S && (t.S = Dl(be(t.S.substring(0, 3)))), t.Z ? El(t) : new Date(t.y, t.M || 0, t.d || 1, t.H || 0, t.m || 0, t.s || 0, t.S || 0);
    }
  }
  return /* @__PURE__ */ new Date("");
}
var E = Cl;
function Tl() {
  return /* @__PURE__ */ new Date();
}
var Pr = Tl, Ml = V, wl = E, Il = Pr;
function Wl(r) {
  var e, a = r ? wl(r) : Il();
  return Ml(a) ? (e = a.getFullYear(), e % 4 === 0 && (e % 100 !== 0 || e % 400 === 0)) : !1;
}
var Gt = Wl, Fl = m, Al = I;
function Rl(r, e, a) {
  if (r) {
    if (Fl(r))
      for (var t = 0, n = r.length; t < n && e.call(a, r[t], t, r) !== !1; t++)
        ;
    else
      for (var i in r)
        if (Al(r, i) && e.call(a, r[i], i, r) === !1)
          break;
  }
}
var kl = Rl, Ul = m, Pl = I;
function Gl(r, e, a) {
  if (r) {
    var t, n;
    if (Ul(r))
      for (t = r.length - 1; t >= 0 && e.call(a, r[t], t, r) !== !1; t--)
        ;
    else
      for (n = Pl(r), t = n.length - 1; t >= 0 && e.call(a, r[n[t]], n[t], r) !== !1; t--)
        ;
  }
}
var Ll = Gl, Yl = m, zl = L, bl = I;
function ql(r, e) {
  return function(a, t) {
    if (a) {
      if (a[r])
        return a[r](t);
      if (zl(a) || Yl(a))
        return e(a, t);
      for (var n in a)
        if (bl(a, n) && t === a[n])
          return n;
    }
    return -1;
  };
}
var Lt = ql, Bl = Lt, Vl = It, Hl = Bl("indexOf", Vl), xl = Hl, Zl = Lt, Kl = Wt, Jl = Zl("lastIndexOf", Kl), Yt = Jl, Ql = m, Xl = L, jl = d;
function rf(r) {
  var e = 0;
  return Xl(r) || Ql(r) ? r.length : (jl(r, function() {
    e++;
  }), e);
}
var zt = rf, ef = k;
function af(r) {
  return ef(r) && isFinite(r);
}
var tf = af, nf = m, uf = G, vf = function(r) {
  return !uf(r) && !isNaN(r) && !nf(r) && r % 1 === 0;
}, bt = vf, cf = m, lf = bt, ff = G;
function of(r) {
  return !ff(r) && !isNaN(r) && !cf(r) && !lf(r);
}
var sf = of, $f = tr, hf = $f("boolean"), qt = hf, pf = $r, gf = pf("RegExp"), he = gf, mf = $r, _f = mf("Error"), Bt = _f;
function df(r) {
  return r ? r.constructor === TypeError : !1;
}
var yf = df;
function Df(r) {
  for (var e in r)
    return !1;
  return !0;
}
var Vt = Df, Sf = F, Of = typeof Symbol !== Sf;
function Nf(r) {
  return Of && Symbol.isSymbol ? Symbol.isSymbol(r) : typeof r == "symbol";
}
var Ht = Nf, Ef = $r, Cf = Ef("Arguments"), Tf = Cf, Mf = L, wf = k;
function If(r) {
  return !!(r && Mf(r.nodeName) && wf(r.nodeType));
}
var Wf = If, Ff = F, Af = typeof document === Ff ? 0 : document, pe = Af, Rf = pe;
function kf(r) {
  return !!(r && Rf && r.nodeType === 9);
}
var Uf = kf, Pf = F, Gf = typeof window === Pf ? 0 : window, xt = Gf, Lf = xt;
function Yf(r) {
  return Lf && !!(r && r === r.window);
}
var zf = Yf, bf = F, qf = typeof FormData !== bf;
function Bf(r) {
  return qf && r instanceof FormData;
}
var Vf = Bf, Hf = F, xf = typeof Map !== Hf;
function Zf(r) {
  return xf && r instanceof Map;
}
var Kf = Zf, Jf = F, Qf = typeof WeakMap !== Jf;
function Xf(r) {
  return Qf && r instanceof WeakMap;
}
var jf = Xf, ro = F, eo = typeof Set !== ro;
function ao(r) {
  return eo && r instanceof Set;
}
var to = ao, no = F, io = typeof WeakSet !== no;
function uo(r) {
  return io && r instanceof WeakSet;
}
var vo = uo, co = N, lo = L, fo = m, oo = I;
function so(r) {
  return function(e, a, t) {
    if (e && co(a)) {
      if (fo(e) || lo(e))
        return r(e, a, t);
      for (var n in e)
        if (oo(e, n) && a.call(t, e[n], n, e))
          return n;
    }
    return -1;
  };
}
var Zt = so, $o = Zt, ho = $o(function(r, e, a) {
  for (var t = 0, n = r.length; t < n; t++)
    if (e.call(a, r[t], t, r))
      return t;
  return -1;
}), ge = ho, xe = k, Ze = m, Ke = L, po = he, go = V, mo = qt, _o = R, Je = P, yo = ut;
function Kt(r, e, a, t, n, i, u) {
  if (r === e)
    return !0;
  if (r && e && !xe(r) && !xe(e) && !Ke(r) && !Ke(e)) {
    if (po(r))
      return a("" + r, "" + e, n, i, u);
    if (go(r) || mo(r))
      return a(+r, +e, n, i, u);
    var v, c, l, f = Ze(r), s = Ze(e);
    if (f || s ? f && s : r.constructor === e.constructor)
      return c = Je(r), l = Je(e), t && (v = t(r, e, n)), c.length === l.length ? _o(v) ? yo(c, function(o, p) {
        return o === l[p] && Kt(r[o], e[l[p]], a, t, f || s ? p : o, r, e);
      }) : !!v : !1;
  }
  return a(r, e, n, i, u);
}
var Jt = Kt;
function Do(r, e) {
  return r === e;
}
var Qt = Do, So = Jt, Oo = Qt;
function No(r, e) {
  return So(r, e, Oo);
}
var Xt = No, Qe = P, Eo = ge, Xe = Xt, Co = it, To = vt;
function Mo(r, e) {
  var a = Qe(r), t = Qe(e);
  if (t.length) {
    if (To(a, t))
      return Co(t, function(n) {
        return Eo(a, function(i) {
          return i === n && Xe(r[i], e[n]);
        }) > -1;
      });
  } else
    return !0;
  return Xe(r, e);
}
var wo = Mo, je = Jt, ra = Qt, Io = N, Wo = R;
function Fo(r, e, a) {
  return Io(a) ? je(r, e, function(t, n, i, u, v) {
    var c = a(t, n, i, u, v);
    return Wo(c) ? ra(t, n) : !!c;
  }, a) : je(r, e, ra);
}
var Ao = Fo, Ro = Ht, ko = V, Uo = m, Po = he, Go = Bt, Lo = G;
function Yo(r) {
  return Lo(r) ? "null" : Ro(r) ? "symbol" : ko(r) ? "date" : Uo(r) ? "array" : Po(r) ? "regexp" : Go(r) ? "error" : typeof r;
}
var zo = Yo, bo = 0;
function qo(r) {
  return [r, ++bo].join("");
}
var Bo = qo, Vo = Zt, Ho = Vo(function(r, e, a) {
  for (var t = r.length - 1; t >= 0; t--)
    if (e.call(a, r[t], t, r))
      return t;
  return -1;
}), xo = Ho, Zo = ir, Ko = L;
function Jo(r) {
  if (Zo(r))
    return r;
  if (Ko(r))
    try {
      return JSON.parse(r);
    } catch {
    }
  return {};
}
var Qo = Jo, Xo = B;
function jo(r) {
  return Xo(r) ? "" : JSON.stringify(r);
}
var rs = jo, es = ce, as = es("entries", 2), ts = as, ns = N, is = m, us = d, vs = ge;
function cs(r, e) {
  return function(a, t) {
    var n, i, u = {}, v = [], c = this, l = arguments, f = l.length;
    if (!ns(t)) {
      for (i = 1; i < f; i++)
        n = l[i], v.push.apply(v, is(n) ? n : [n]);
      t = 0;
    }
    return us(a, function(s, o) {
      ((t ? t.call(c, s, o, a) : vs(v, function(p) {
        return p === o;
      }) > -1) ? r : e) && (u[o] = s);
    }), u;
  };
}
var jt = cs, ls = jt, fs = ls(1, 0), os = fs, ss = jt, $s = ss(0, 1), hs = $s, ps = vr;
function gs(r) {
  return ps(r)[0];
}
var ms = gs, _s = vr;
function ds(r) {
  var e = _s(r);
  return e[e.length - 1];
}
var ys = ds, Ds = lt, Ss = se, Cr = I;
function Os(r, e) {
  if (r) {
    if (Cr(r, e))
      return !0;
    var a, t, n, i, u, v, c = Ss(e), l = 0, f = c.length;
    for (u = r; l < f && (v = !1, a = c[l], i = a ? a.match(Ds) : "", i ? (t = i[1], n = i[2], t ? u[t] && Cr(u[t], n) && (v = !0, u = u[t][n]) : Cr(u, n) && (v = !0, u = u[n])) : Cr(u, a) && (v = !0, u = u[a]), v); l++)
      if (l === f - 1)
        return !0;
  }
  return !1;
}
var Ns = Os, ea = mr, Es = se, Cs = I, aa = /(.+)?\[(\d+)\]$/;
function Ts(r, e, a, t, n) {
  if (r[e])
    a && (r[e] = n);
  else {
    var i, u, v = e ? e.match(aa) : null;
    if (a)
      u = n;
    else {
      var c = t ? t.match(aa) : null;
      c && !c[1] ? u = new Array(ea(c[2]) + 1) : u = {};
    }
    return v ? v[1] ? (i = ea(v[2]), r[v[1]] ? a ? r[v[1]][i] = u : r[v[1]][i] ? u = r[v[1]][i] : r[v[1]][i] = u : (r[v[1]] = new Array(i + 1), r[v[1]][i] = u)) : r[v[2]] = u : r[e] = u, u;
  }
  return r[e];
}
function Ms(r, e, a) {
  if (r) {
    if ((r[e] || Cs(r, e)) && !ta(e))
      r[e] = a;
    else
      for (var t = r, n = Es(e), i = n.length, u = 0; u < i; u++)
        if (!ta(n[u])) {
          var v = u === i - 1;
          t = Ts(t, n[u], v, v ? null : n[u + 1], a);
        }
  }
  return r;
}
function ta(r) {
  return r === "__proto__" || r === "constructor" || r === "prototype";
}
var ws = Ms, Is = Vt, Ws = kr, Fs = N, As = nr, Rs = d;
function ks(r) {
  return function() {
    return Is(r);
  };
}
function Us(r, e, a) {
  var t, n = {};
  return r && (e && Ws(e) ? e = ks(e) : Fs(e) || (e = As(e)), Rs(r, function(i, u) {
    t = e ? e.call(a, i, u, r) : i, n[t] ? n[t].push(i) : n[t] = [i];
  })), n;
}
var rn = Us, Ps = rn, Gs = hr;
function Ls(r, e, a) {
  var t = Ps(r, e, a || this);
  return Gs(t, function(n, i) {
    t[i] = n.length;
  }), t;
}
var Ys = Ls;
function zs(r, e, a) {
  var t, n, i = [], u = arguments;
  if (u.length < 2 && (e = u[0], r = 0), t = r >> 0, n = e >> 0, t < e)
    for (a = a >> 0 || 1; t < n; t += a)
      i.push(t);
  return i;
}
var bs = zs, na = P, qs = X, Bs = pr, Vs = S, Hs = W;
function xs(r, e) {
  if (r && e) {
    var a = Hs.apply(this, [{}].concat(qs(arguments, 1))), t = na(a);
    Vs(na(r), function(n) {
      Bs(t, n) && (r[n] = a[n]);
    });
  }
  return r;
}
var Zs = xs, Ks = pt, Js = Ks(function(r, e) {
  return r > e;
}), Qs = Js;
function Xs(r) {
  return (r.split(".")[1] || "").length;
}
var Gr = Xs, js = mr;
function r$(r, e) {
  if (r.repeat)
    return r.repeat(e);
  var a = isNaN(e) ? [] : new Array(js(e));
  return a.join(r) + (a.length > 0 ? r : "");
}
var dr = r$;
function e$(r, e) {
  return r.substring(0, e) + "." + r.substring(e, r.length);
}
var en = e$, Tr = dr, xr = en;
function a$(r) {
  var e = "" + r, a = e.match(/^([-+]?)((\d+)|((\d+)?[.](\d+)?))e([-+]{1})([0-9]+)$/);
  if (a) {
    var t = r < 0, n = t ? "-" : "", i = a[3] || "", u = a[5] || "", v = a[6] || "", c = a[7], l = a[8], f = l - v.length, s = l - i.length, o = l - u.length;
    return c === "+" ? i ? n + i + Tr("0", l) : f > 0 ? n + u + v + Tr("0", f) : n + u + xr(v, l) : i ? s > 0 ? n + "0." + Tr("0", Math.abs(s)) + i : n + xr(i, s) : o > 0 ? n + "0." + Tr("0", Math.abs(o)) + u + v : n + xr(u, o) + v;
  }
  return e;
}
var H = a$, ia = Gr, ua = H;
function t$(r, e) {
  var a = ua(r), t = ua(e);
  return parseInt(a.replace(".", "")) * parseInt(t.replace(".", "")) / Math.pow(10, ia(a) + ia(t));
}
var an = t$, n$ = an, va = Q, i$ = H;
function u$(r) {
  return function(e, a) {
    var t = va(e), n = t;
    if (t) {
      a = a >> 0;
      var i = i$(t), u = i.split("."), v = u[0], c = u[1] || "", l = c.substring(0, a + 1), f = v + (l ? "." + l : "");
      if (a >= c.length)
        return va(f);
      if (f = t, a > 0) {
        var s = Math.pow(10, a);
        n = Math[r](n$(f, s)) / s;
      } else
        n = Math[r](f);
    }
    return n;
  };
}
var me = u$, v$ = me, c$ = v$("round"), _e = c$, l$ = me, f$ = l$("ceil"), tn = f$, o$ = me, s$ = o$("floor"), nn = s$, $$ = B, h$ = k, p$ = H;
function g$(r) {
  return h$(r) ? p$(r) : "" + ($$(r) ? "" : r);
}
var O = g$, m$ = _e, _$ = O, d$ = dr, y$ = en;
function D$(r, e) {
  e = e >> 0;
  var a = _$(m$(r, e)), t = a.split("."), n = t[0], i = t[1] || "", u = e - i.length;
  return e ? u > 0 ? n + "." + i + d$("0", u) : n + y$(i, Math.abs(u)) : n;
}
var de = D$, S$ = U, O$ = _e, N$ = tn, E$ = nn, C$ = k, T$ = O, M$ = de, w$ = H, I$ = W;
function W$(r, e) {
  var a = I$({}, S$.commafyOptions, e), t = a.digits, n = C$(r), i, u, v, c, l;
  return n ? (i = (a.ceil ? N$ : a.floor ? E$ : O$)(r, t), u = w$(t ? M$(i, t) : i).split("."), c = u[0], l = u[1], v = c && i < 0, v && (c = c.substring(1, c.length))) : (i = T$(r).replace(/,/g, ""), u = i ? [i] : [], c = u[0]), u.length ? (v ? "-" : "") + c.replace(new RegExp("(?=(?!(\\b))(.{" + (a.spaceNumber || 3) + "})+$)", "g"), a.separator || ",") + (l ? "." + l : "") : i;
}
var F$ = W$, A$ = mr, R$ = $t, k$ = R$(A$), U$ = k$, P$ = an, ca = Q;
function G$(r, e) {
  var a = ca(r), t = ca(e);
  return P$(a, t);
}
var ye = G$, la = Gr, fa = H, oa = ye;
function L$(r, e) {
  var a = fa(r), t = fa(e), n = Math.pow(10, Math.max(la(a), la(t)));
  return (oa(r, n) + oa(e, n)) / n;
}
var un = L$, Y$ = un, sa = Q;
function z$(r, e) {
  return Y$(sa(r), sa(e));
}
var b$ = z$, $a = Gr, ha = H, pa = Q, q$ = de;
function B$(r, e) {
  var a = pa(r), t = pa(e), n = ha(a), i = ha(t), u = $a(n), v = $a(i), c = Math.pow(10, Math.max(u, v)), l = u >= v ? u : v;
  return parseFloat(q$((a * c - t * c) / c, l));
}
var V$ = B$, ga = Gr, ma = H, H$ = ye;
function x$(r, e) {
  var a = ma(r), t = ma(e), n = ga(a), i = ga(t), u = i - n, v = u < 0, c = Math.pow(10, v ? Math.abs(u) : u);
  return H$(a.replace(".", "") / t.replace(".", ""), v ? 1 / c : c);
}
var vn = x$, Z$ = vn, _a = Q;
function K$(r, e) {
  return Z$(_a(r), _a(e));
}
var J$ = K$, Zr = un, Q$ = N, X$ = d, j$ = gr;
function r1(r, e, a) {
  var t = 0;
  return X$(r, e ? Q$(e) ? function() {
    t = Zr(t, e.apply(a, arguments));
  } : function(n) {
    t = Zr(t, j$(n, e));
  } : function(n) {
    t = Zr(t, n);
  }), t;
}
var cn = r1, e1 = vn, a1 = zt, t1 = cn;
function n1(r, e, a) {
  return e1(t1(r, e, a), a1(r));
}
var i1 = n1, u1 = "first", yr = u1, v1 = "last", Lr = v1;
function c1(r) {
  return r.getFullYear();
}
var Dr = c1, l1 = 864e5, Sr = l1;
function f1(r) {
  return r.getMonth();
}
var Yr = f1, o1 = V, s1 = T;
function $1(r) {
  return o1(r) && !isNaN(s1(r));
}
var M = $1, da = yr, h1 = Lr, p1 = Sr, g1 = Dr, ya = T, Da = Yr, m1 = E, _1 = M, d1 = k;
function ln(r, e, a) {
  var t = e && !isNaN(e) ? e : 0;
  if (r = m1(r), _1(r)) {
    if (a === da)
      return new Date(g1(r), Da(r) + t, 1);
    if (a === h1)
      return new Date(ya(ln(r, t + 1, da)) - 1);
    if (d1(a) && r.setDate(a), t) {
      var n = r.getDate();
      if (r.setMonth(Da(r) + t), n !== r.getDate())
        return r.setDate(1), new Date(ya(r) - p1);
    }
  }
  return r;
}
var Or = ln, y1 = yr, Sa = Lr, Oa = Dr, D1 = Or, S1 = E, O1 = M;
function N1(r, e, a) {
  var t;
  if (r = S1(r), O1(r) && (e && (t = e && !isNaN(e) ? e : 0, r.setFullYear(Oa(r) + t)), a || !isNaN(a))) {
    if (a === y1)
      return new Date(Oa(r), 0, 1);
    if (a === Sa)
      return r.setMonth(11), D1(r, 0, Sa);
    r.setMonth(a);
  }
  return r;
}
var zr = N1, E1 = Or, C1 = E, T1 = M;
function M1(r) {
  var e = r.getMonth();
  return e < 3 ? 1 : e < 6 ? 2 : e < 9 ? 3 : 4;
}
function w1(r, e, a) {
  var t, n = e && !isNaN(e) ? e * 3 : 0;
  return r = C1(r), T1(r) ? (t = (M1(r) - 1) * 3, r.setMonth(t), E1(r, n, a)) : r;
}
var I1 = w1, Na = yr, W1 = Lr, F1 = mr, A1 = Dr, R1 = Yr, k1 = T, U1 = E, P1 = M;
function fn(r, e, a) {
  if (r = U1(r), P1(r) && !isNaN(e)) {
    if (r.setDate(r.getDate() + F1(e)), a === Na)
      return new Date(A1(r), R1(r), r.getDate());
    if (a === W1)
      return new Date(k1(fn(r, 1, Na)) - 1);
  }
  return r;
}
var on = fn;
function G1(r) {
  return r.toUpperCase();
}
var sn = G1, L1 = Sr, Y1 = L1 * 7, $n = Y1, z1 = U, Kr = Sr, b1 = $n, q1 = T, B1 = E, V1 = M, Ea = k;
function H1(r, e, a, t) {
  if (r = B1(r), V1(r)) {
    var n = Ea(a), i = Ea(t), u = q1(r);
    if (n || i) {
      var v = i ? t : z1.firstDayOfWeek, c = r.getDay(), l = n ? a : c;
      if (c !== l) {
        var f = 0;
        v > c ? f = -(7 - v + c) : v < c && (f = v - c), l > v ? u += ((l === 0 ? 7 : l) - v + f) * Kr : l < v ? u += (7 - v + l + f) * Kr : u += f * Kr;
      }
    }
    return e && !isNaN(e) && (u += e * b1), new Date(u);
  }
  return r;
}
var hn = H1, x1 = U, Z1 = $n, K1 = k, J1 = M, Q1 = hn, Ca = T;
function X1(r) {
  return function(e, a) {
    var t = K1(a) ? a : x1.firstDayOfWeek, n = Q1(e, 0, t, t);
    if (J1(n)) {
      var i = new Date(n.getFullYear(), n.getMonth(), n.getDate()), u = r(n), v = u.getDay();
      return v > t && u.setDate(7 - v + t + 1), v < t && u.setDate(t - v + 1), Math.floor((Ca(i) - Ca(u)) / Z1 + 1);
    }
    return NaN;
  };
}
var pn = X1, j1 = pn, rh = j1(function(r) {
  return new Date(r.getFullYear(), 0, 1);
}), gn = rh, eh = Dr, ah = Yr;
function th(r) {
  return new Date(eh(r), ah(r), r.getDate());
}
var nh = th, ih = T, uh = nh;
function vh(r) {
  return ih(uh(r));
}
var ch = vh, lh = Sr, fh = yr, Ta = ch, oh = zr, sh = E, $h = M;
function hh(r) {
  return r = sh(r), $h(r) ? Math.floor((Ta(r) - Ta(oh(r, 0, fh))) / lh) + 1 : NaN;
}
var mn = hh, ph = O, gh = R, mh = dr;
function _h(r, e, a) {
  var t = ph(r);
  return e = e >> 0, a = gh(a) ? " " : "" + a, t.padStart ? t.padStart(e, a) : e > t.length ? (e -= t.length, e > a.length && (a += mh(a, e / a.length)), a.slice(0, e) + t) : t;
}
var _n = _h, or = U, dh = sn, yh = Dr, Ma = Yr, Dh = E, Sh = gn, Oh = mn, Nh = W, Eh = M, Ch = N, A = _n;
function Y(r, e, a, t) {
  var n = e[a];
  return n ? Ch(n) ? n(t, a, r) : n[t] : t;
}
var Th = /\[([^\]]+)]|y{2,4}|M{1,2}|d{1,2}|H{1,2}|h{1,2}|m{1,2}|s{1,2}|S{1,3}|Z{1,2}|W{1,2}|D{1,3}|[aAeEq]/g;
function Mh(r, e, a) {
  if (r) {
    if (r = Dh(r), Eh(r)) {
      var t = e || or.parseDateFormat || or.formatString, n = r.getHours(), i = n < 12 ? "am" : "pm", u = Nh({}, or.parseDateRules || or.formatStringMatchs, a ? a.formats : null), v = function($, g) {
        return ("" + yh(r)).substr(4 - g);
      }, c = function($, g) {
        return A(Ma(r) + 1, g, "0");
      }, l = function($, g) {
        return A(r.getDate(), g, "0");
      }, f = function($, g) {
        return A(n, g, "0");
      }, s = function($, g) {
        return A(n <= 12 ? n : n - 12, g, "0");
      }, o = function($, g) {
        return A(r.getMinutes(), g, "0");
      }, p = function($, g) {
        return A(r.getSeconds(), g, "0");
      }, h = function($, g) {
        return A(r.getMilliseconds(), g, "0");
      }, y = function($, g) {
        var De = r.getTimezoneOffset() / 60 * -1;
        return Y(r, u, $, (De >= 0 ? "+" : "-") + A(De, 2, "0") + (g === 1 ? ":" : "") + "00");
      }, _ = function($, g) {
        return A(Y(r, u, $, Sh(r, (a ? a.firstDay : null) || or.firstDayOfWeek)), g, "0");
      }, D = function($, g) {
        return A(Y(r, u, $, Oh(r)), g, "0");
      }, C = {
        yyyy: v,
        yy: v,
        MM: c,
        M: c,
        dd: l,
        d: l,
        HH: f,
        H: f,
        hh: s,
        h: s,
        mm: o,
        m: o,
        ss: p,
        s: p,
        SSS: h,
        S: h,
        ZZ: y,
        Z: y,
        WW: _,
        W: _,
        DDD: D,
        D,
        a: function($) {
          return Y(r, u, $, i);
        },
        A: function($) {
          return Y(r, u, $, dh(i));
        },
        e: function($) {
          return Y(r, u, $, r.getDay());
        },
        E: function($) {
          return Y(r, u, $, r.getDay());
        },
        q: function($) {
          return Y(r, u, $, Math.floor((Ma(r) + 3) / 3));
        }
      };
      return t.replace(Th, function($, g) {
        return g || (C[$] ? C[$]($, $.length) : $);
      });
    }
    return "Invalid Date";
  }
  return "";
}
var dn = Mh, wh = T, Ih = Pr, Wh = Date.now || function() {
  return wh(Ih());
}, yn = Wh, Fh = T, Ah = yn, Rh = E, kh = V, Uh = function(r, e) {
  if (r) {
    var a = Rh(r, e);
    return kh(a) ? Fh(a) : a;
  }
  return Ah();
}, Ph = Uh, wa = dn;
function Gh(r, e, a) {
  return r && e ? (r = wa(r, a), r !== "Invalid Date" && r === wa(e, a)) : !1;
}
var Lh = Gh, Yh = pn, zh = Yh(function(r) {
  return new Date(r.getFullYear(), r.getMonth(), 1);
}), bh = zh, qh = zr, Bh = E, Vh = M, Hh = Gt;
function xh(r, e) {
  return r = Bh(r), Vh(r) ? Hh(qh(r, e)) ? 366 : 365 : NaN;
}
var Zh = xh, Kh = Sr, Jh = yr, Qh = Lr, Ia = T, Wa = Or, Xh = E, jh = M;
function rp(r, e) {
  return r = Xh(r), jh(r) ? Math.floor((Ia(Wa(r, e, Qh)) - Ia(Wa(r, e, Jh))) / Kh) + 1 : NaN;
}
var ep = rp, Fa = T, ap = Pr, Aa = E, Ra = M, ka = [
  ["yyyy", 31536e6],
  ["MM", 2592e6],
  ["dd", 864e5],
  ["HH", 36e5],
  ["mm", 6e4],
  ["ss", 1e3],
  ["S", 0]
];
function tp(r, e) {
  var a, t, n, i, u, v, c = { done: !1, time: 0 };
  if (r = Aa(r), e = e ? Aa(e) : ap(), Ra(r) && Ra(e) && (a = Fa(r), t = Fa(e), a < t))
    for (i = c.time = t - a, c.done = !0, v = 0, u = ka.length; v < u; v++)
      n = ka[v], i >= n[1] ? v === u - 1 ? c[n[0]] = i || 0 : (c[n[0]] = Math.floor(i / n[1]), i -= c[n[0]] * n[1]) : c[n[0]] = 0;
  return c;
}
var np = tp, ip = O, up = R, vp = dr;
function cp(r, e, a) {
  var t = ip(r);
  return e = e >> 0, a = up(a) ? " " : "" + a, t.padEnd ? t.padEnd(e, a) : e > t.length ? (e -= t.length, e > a.length && (a += vp(a, e / a.length)), t + a.slice(0, e)) : t;
}
var lp = cp, fp = O, op = dr;
function sp(r, e) {
  return op(fp(r), e);
}
var $p = sp, hp = O;
function pp(r) {
  return r && r.trimRight ? r.trimRight() : hp(r).replace(/[\s\uFEFF\xA0]+$/g, "");
}
var Dn = pp, gp = O;
function mp(r) {
  return r && r.trimLeft ? r.trimLeft() : gp(r).replace(/^[\s\uFEFF\xA0]+/g, "");
}
var Sn = mp, _p = Dn, dp = Sn;
function yp(r) {
  return r && r.trim ? r.trim() : _p(dp(r));
}
var On = yp, Dp = {
  "&": "&amp;",
  "<": "&lt;",
  ">": "&gt;",
  '"': "&quot;",
  "'": "&#x27;",
  "`": "&#x60;"
}, Nn = Dp, Sp = O, Op = P;
function Np(r) {
  var e = new RegExp("(?:" + Op(r).join("|") + ")", "g");
  return function(a) {
    return Sp(a).replace(e, function(t) {
      return r[t];
    });
  };
}
var En = Np, Ep = Nn, Cp = En, Tp = Cp(Ep), Mp = Tp, Ua = Nn, wp = En, Ip = d, Cn = {};
Ip(Ua, function(r, e) {
  Cn[Ua[e]] = e;
});
var Wp = wp(Cn), Fp = Wp;
function Ap(r, e, a) {
  return r.substring(e, a);
}
var Tn = Ap;
function Rp(r) {
  return r.toLowerCase();
}
var Mn = Rp, kp = O, z = Tn, sr = sn, Up = Mn, Jr = {};
function Pp(r) {
  if (r = kp(r), Jr[r])
    return Jr[r];
  var e = r.length, a = r.replace(/([-]+)/g, function(t, n, i) {
    return i && i + n.length < e ? "-" : "";
  });
  return e = a.length, a = a.replace(/([A-Z]+)/g, function(t, n, i) {
    var u = n.length;
    return n = Up(n), i ? u > 2 && i + u < e ? sr(z(n, 0, 1)) + z(n, 1, u - 1) + sr(z(n, u - 1, u)) : sr(z(n, 0, 1)) + z(n, 1, u) : u > 1 && i + u < e ? z(n, 0, u - 1) + sr(z(n, u - 1, u)) : n;
  }).replace(/(-[a-zA-Z])/g, function(t, n) {
    return sr(z(n, 1, n.length));
  }), Jr[r] = a, a;
}
var Gp = Pp, Lp = O, er = Tn, b = Mn, Qr = {};
function Yp(r) {
  if (r = Lp(r), Qr[r])
    return Qr[r];
  if (/^[A-Z]+$/.test(r))
    return b(r);
  var e = r.replace(/^([a-z])([A-Z]+)([a-z]+)$/, function(a, t, n, i) {
    var u = n.length;
    return u > 1 ? t + "-" + b(er(n, 0, u - 1)) + "-" + b(er(n, u - 1, u)) + i : b(t + "-" + n + i);
  }).replace(/^([A-Z]+)([a-z]+)?$/, function(a, t, n) {
    var i = t.length;
    return b(er(t, 0, i - 1) + "-" + er(t, i - 1, i) + (n || ""));
  }).replace(/([a-z]?)([A-Z]+)([a-z]?)/g, function(a, t, n, i, u) {
    var v = n.length;
    return v > 1 && (t && (t += "-"), i) ? (t || "") + b(er(n, 0, v - 1)) + "-" + b(er(n, v - 1, v)) + i : (t || "") + (u ? "-" : "") + b(n) + (i || "");
  });
  return e = e.replace(/([-]+)/g, function(a, t, n) {
    return n && n + t.length < e.length ? "-" : "";
  }), Qr[r] = e, e;
}
var zp = Yp, bp = O;
function qp(r, e, a) {
  var t = bp(r);
  return (arguments.length === 1 ? t : t.substring(a)).indexOf(e) === 0;
}
var Bp = qp, Vp = O;
function Hp(r, e, a) {
  var t = Vp(r), n = arguments.length;
  return n > 1 && (n > 2 ? t.substring(0, a).indexOf(e) === a - 1 : t.indexOf(e) === t.length - 1);
}
var xp = Hp, Zp = U, Kp = O, Jp = On, Qp = gr;
function Xp(r, e, a) {
  return Kp(r).replace((a || Zp).tmplRE || /\{{2}([.\w[\]\s]+)\}{2}/g, function(t, n) {
    return Qp(e, Jp(n));
  });
}
var wn = Xp, jp = wn;
function rg(r, e) {
  return jp(r, e, { tmplRE: /\{([.\w[\]\s]+)\}/g });
}
var eg = rg;
function ag() {
}
var tg = ag, Pa = X;
function ng(r, e) {
  var a = Pa(arguments, 2);
  return function() {
    return r.apply(e, Pa(arguments).concat(a));
  };
}
var ig = ng, Ga = X;
function ug(r, e) {
  var a = !1, t = null, n = Ga(arguments, 2);
  return function() {
    return a || (t = r.apply(e, Ga(arguments).concat(n)), a = !0), t;
  };
}
var vg = ug, cg = X;
function lg(r, e, a) {
  var t = 0, n = [];
  return function() {
    var i = arguments;
    t++, t <= r && n.push(i[0]), t >= r && e.apply(a, [n].concat(cg(i)));
  };
}
var fg = lg, og = X;
function sg(r, e, a) {
  var t = 0, n = [];
  return a = a || this, function() {
    var i = arguments;
    t++, t < r && (n.push(i[0]), e.apply(a, [n].concat(og(i))));
  };
}
var $g = sg;
function hg(r, e, a) {
  var t, n, i = a || {}, u = !1, v = 0, c = "leading" in i ? i.leading : !0, l = "trailing" in i ? i.trailing : !1, f = function() {
    u = !0, r.apply(n, t), v = setTimeout(s, e);
  }, s = function() {
    v = 0, !u && l === !0 && f();
  }, o = function() {
    var h = v !== 0;
    return clearTimeout(v), t = null, n = null, u = !1, v = 0, h;
  }, p = function() {
    t = arguments, n = this, u = !1, v === 0 && (c === !0 ? f() : l === !0 && (v = setTimeout(s, e)));
  };
  return p.cancel = o, p;
}
var pg = hg;
function gg(r, e, a) {
  var t, n, i = a || {}, u = !1, v = 0, c = typeof a == "boolean", l = "leading" in i ? i.leading : c, f = "trailing" in i ? i.trailing : !c, s = function() {
    u = !0, v = 0, r.apply(n, t);
  }, o = function() {
    l === !0 && (v = 0), !u && f === !0 && s();
  }, p = function() {
    var y = v !== 0;
    return clearTimeout(v), t = null, n = null, v = 0, y;
  }, h = function() {
    u = !1, t = arguments, n = this, v === 0 ? l === !0 && s() : clearTimeout(v), v = setTimeout(o, e);
  };
  return h.cancel = p, h;
}
var mg = gg, _g = X;
function dg(r, e) {
  var a = _g(arguments, 2), t = this;
  return setTimeout(function() {
    r.apply(t, a);
  }, e);
}
var yg = dg, Dg = decodeURIComponent, In = Dg, La = In, Sg = S, Og = L;
function Ng(r) {
  var e, a = {};
  return r && Og(r) && Sg(r.split("&"), function(t) {
    e = t.split("="), a[La(e[0])] = La(e[1] || "");
  }), a;
}
var Wn = Ng, Eg = encodeURIComponent, Fn = Eg, Fr = Fn, An = d, Rn = m, kn = G, Cg = R, Un = ir;
function Pn(r, e, a) {
  var t, n = [];
  return An(r, function(i, u) {
    t = Rn(i), Un(i) || t ? n = n.concat(Pn(i, e + "[" + u + "]", t)) : n.push(Fr(e + "[" + (a ? "" : u) + "]") + "=" + Fr(kn(i) ? "" : i));
  }), n;
}
function Tg(r) {
  var e, a = [];
  return An(r, function(t, n) {
    Cg(t) || (e = Rn(t), Un(t) || e ? a = a.concat(Pn(t, n, e)) : a.push(Fr(n) + "=" + Fr(kn(t) ? "" : t)));
  }), a.join("&").replace(/%20/g, "+");
}
var Mg = Tg, wg = F, Ig = typeof location === wg ? 0 : location, br = Ig, Mr = br;
function Wg() {
  return Mr ? Mr.origin || Mr.protocol + "//" + Mr.host : "";
}
var Gn = Wg, Ya = br, Fg = Wn, Ag = Gn;
function za(r) {
  return Fg(r.split("?")[1] || "");
}
function Rg(r) {
  var e, a, t, n, i = "" + r;
  return i.indexOf("//") === 0 ? i = (Ya ? Ya.protocol : "") + i : i.indexOf("/") === 0 && (i = Ag() + i), t = i.replace(/#.*/, "").match(/(\?.*)/), n = {
    href: i,
    hash: "",
    host: "",
    hostname: "",
    protocol: "",
    port: "",
    search: t && t[1] && t[1].length > 1 ? t[1] : ""
  }, n.path = i.replace(/^([a-z0-9.+-]*:)\/\//, function(u, v) {
    return n.protocol = v, "";
  }).replace(/^([a-z0-9.+-]*)(:\d+)?\/?/, function(u, v, c) {
    return a = c || "", n.port = a.replace(":", ""), n.hostname = v, n.host = v + a, "/";
  }).replace(/(#.*)/, function(u, v) {
    return n.hash = v.length > 1 ? v : "", "";
  }), e = n.hash.match(/#((.*)\?|(.*))/), n.pathname = n.path.replace(/(\?|#.*).*/, ""), n.origin = n.protocol + "//" + n.host, n.hashKey = e && (e[2] || e[1]) || "", n.hashQuery = za(n.hash), n.searchQuery = za(n.search), n;
}
var Ln = Rg, ba = br, kg = Gn, Ug = Yt;
function Pg() {
  if (ba) {
    var r = ba.pathname, e = Ug(r, "/") + 1;
    return kg() + (e === r.length ? r : r.substring(0, e));
  }
  return "";
}
var Gg = Pg, qa = br, Lg = Ln;
function Yg() {
  return qa ? Lg(qa.href) : {};
}
var zg = Yg, Yn = U, Xr = pe, Ba = In, Va = Fn, bg = m, Ha = kr, zn = V, qg = R, Bg = pr, Vg = P, Ar = W, jr = S, Hg = Pr, wr = T, xg = zr, Zg = Or, Kg = on;
function xa(r, e) {
  var a = parseFloat(e), t = Hg(), n = wr(t);
  switch (r) {
    case "y":
      return wr(xg(t, a));
    case "M":
      return wr(Zg(t, a));
    case "d":
      return wr(Kg(t, a));
    case "h":
    case "H":
      return n + a * 60 * 60 * 1e3;
    case "m":
      return n + a * 60 * 1e3;
    case "s":
      return n + a * 1e3;
  }
  return n;
}
function re(r) {
  return (zn(r) ? r : new Date(r)).toUTCString();
}
function q(r, e, a) {
  if (Xr) {
    var t, n, i, u, v, c, l = [], f = arguments;
    return bg(r) ? l = r : f.length > 1 ? l = [Ar({ name: r, value: e }, a)] : Ha(r) && (l = [r]), l.length > 0 ? (jr(l, function(s) {
      t = Ar({}, Yn.cookies, s), i = [], t.name && (n = t.expires, i.push(Va(t.name) + "=" + Va(Ha(t.value) ? JSON.stringify(t.value) : t.value)), n && (isNaN(n) ? n = n.replace(/^([0-9]+)(y|M|d|H|h|m|s)$/, function(o, p, h) {
        return re(xa(h, p));
      }) : /^[0-9]{11,13}$/.test(n) || zn(n) ? n = re(n) : n = re(xa("d", n)), t.expires = n), jr(["expires", "path", "domain", "secure"], function(o) {
        qg(t[o]) || i.push(t[o] && o === "secure" ? o : o + "=" + t[o]);
      })), Xr.cookie = i.join("; ");
    }), !0) : (u = {}, v = Xr.cookie, v && jr(v.split("; "), function(s) {
      c = s.indexOf("="), u[Ba(s.substring(0, c))] = Ba(s.substring(c + 1) || "");
    }), f.length === 1 ? u[r] : u);
  }
  return !1;
}
function Jg(r) {
  return Bg(bn(), r);
}
function Za(r) {
  return q(r);
}
function Ka(r, e, a) {
  return q(r, e, a), q;
}
function Ja(r, e) {
  q(r, "", Ar({ expires: -1 }, Yn.cookies, e));
}
function bn() {
  return Vg(q());
}
function Qg() {
  return q();
}
Ar(q, {
  has: Jg,
  set: Ka,
  setItem: Ka,
  get: Za,
  getItem: Za,
  remove: Ja,
  removeItem: Ja,
  keys: bn,
  getJSON: Qg
});
var Xg = q, jg = F, ee = pe, ae = xt, rm = W, em = S;
function Qa(r) {
  try {
    var e = "__xe_t";
    return r.setItem(e, 1), r.removeItem(e), !0;
  } catch {
    return !1;
  }
}
function Ir(r) {
  return navigator.userAgent.indexOf(r) > -1;
}
function am() {
  var r, e, a, t = !1, n = !1, i = !1, u = {
    isNode: !1,
    isMobile: t,
    isPC: !1,
    isDoc: !!ee
  };
  if (!ae && typeof process !== jg)
    u.isNode = !0;
  else {
    a = Ir("Edge"), e = Ir("Chrome"), t = /(Android|webOS|iPhone|iPad|iPod|SymbianOS|BlackBerry|Windows Phone)/.test(navigator.userAgent), u.isDoc && (r = ee.body || ee.documentElement, em(["webkit", "khtml", "moz", "ms", "o"], function(v) {
      u["-" + v] = !!r[v + "MatchesSelector"];
    }));
    try {
      n = Qa(ae.localStorage);
    } catch {
    }
    try {
      i = Qa(ae.sessionStorage);
    } catch {
    }
    rm(u, {
      edge: a,
      firefox: Ir("Firefox"),
      msie: !a && u["-ms"],
      safari: !e && !a && Ir("Safari"),
      isMobile: t,
      isPC: !t,
      isLocalStorage: n,
      isSessionStorage: i
    });
  }
  return u;
}
var tm = am, qn = wi, Xa = W, nm = hr, im = tt, um = zi, vm = Vi, cm = ur, lm = it, fm = ut, om = vt, sm = S, $m = fe, hm = ct, pm = $u, gm = oe, mm = Bu, _m = $e, dm = st, ym = ju, Dm = X, Sm = uv, Om = lv, Nm = pr, Em = sv, Cm = gv, Tm = dv, Mm = Sv, wm = Ev, Im = Yv, Wm = mt, Fm = Bv, Am = xv, Rm = ht, km = Xv, Um = Fc, Pm = Pc, Gm = zc, Lm = Tt, Ym = Zc, zm = Qc, bm = al, qm = It, Bm = Wt, Vm = I, Hm = m, xm = G, Zm = ll, Km = R, Jm = N, Qm = kr, Xm = L, jm = ir, r0 = Gt, e0 = V, a0 = B, t0 = d, n0 = kl, i0 = Ll, u0 = xl, v0 = Yt, c0 = P, l0 = vr, f0 = le, o0 = zt, s0 = Dt, $0 = Ot, h0 = St, p0 = tf, g0 = sf, m0 = bt, _0 = qt, d0 = k, y0 = he, D0 = Bt, S0 = yf, O0 = Vt, N0 = Ht, E0 = Tf, C0 = Wf, T0 = Uf, M0 = zf, w0 = Vf, I0 = Kf, W0 = jf, F0 = to, A0 = vo, R0 = wo, k0 = Xt, U0 = Ao, P0 = zo, G0 = Bo, L0 = ge, Y0 = xo, z0 = Qo, b0 = rs, q0 = ts, B0 = os, V0 = hs, H0 = ms, x0 = ys, Z0 = Ns, K0 = gr, J0 = ws, Q0 = rn, X0 = Ys, j0 = bs, r_ = Zs, e_ = ot, a_ = gt, t_ = Qs, n_ = F$, i_ = _e, u_ = tn, v_ = nn, c_ = de, l_ = U$, f_ = Q, o_ = H, s_ = b$, $_ = V$, h_ = ye, p_ = J$, g_ = cn, m_ = i1, __ = zr, d_ = I1, y_ = Or, D_ = on, S_ = E, O_ = dn, N_ = yn, E_ = Ph, C_ = M, T_ = Lh, M_ = hn, w_ = mn, I_ = gn, W_ = bh, F_ = Zh, A_ = ep, R_ = np, k_ = lp, U_ = _n, P_ = $p, G_ = On, L_ = Dn, Y_ = Sn, z_ = Mp, b_ = Fp, q_ = Gp, B_ = zp, V_ = Bp, H_ = xp, x_ = wn, Z_ = eg, ja = O, K_ = tg, J_ = nr, Q_ = ig, X_ = vg, j_ = fg, rd = $g, ed = pg, ad = mg, td = yg, nd = Wn, id = Mg, ud = Ln, vd = Gg, cd = zg, ld = Xg, fd = tm;
Xa(qn, {
  // object
  assign: Xa,
  objectEach: nm,
  lastObjectEach: im,
  objectMap: um,
  merge: vm,
  // array
  uniq: hm,
  union: pm,
  sortBy: mm,
  orderBy: _m,
  shuffle: dm,
  sample: ym,
  some: lm,
  every: fm,
  slice: Dm,
  filter: Sm,
  find: Em,
  findLast: Cm,
  findKey: Om,
  includes: Nm,
  arrayIndexOf: qm,
  arrayLastIndexOf: Bm,
  map: cm,
  reduce: Tm,
  copyWithin: Mm,
  chunk: wm,
  zip: Im,
  unzip: Wm,
  zipObject: Fm,
  flatten: Am,
  toArray: gm,
  includeArrays: om,
  pluck: Rm,
  invoke: km,
  arrayEach: sm,
  lastArrayEach: $m,
  toArrayTree: Um,
  toTreeArray: Pm,
  findTree: Gm,
  eachTree: Lm,
  mapTree: Ym,
  filterTree: zm,
  searchTree: bm,
  // base
  hasOwnProp: Vm,
  eqNull: a0,
  isNaN: Zm,
  isFinite: p0,
  isUndefined: Km,
  isArray: Hm,
  isFloat: g0,
  isInteger: m0,
  isFunction: Jm,
  isBoolean: _0,
  isString: Xm,
  isNumber: d0,
  isRegExp: y0,
  isObject: Qm,
  isPlainObject: jm,
  isDate: e0,
  isError: D0,
  isTypeError: S0,
  isEmpty: O0,
  isNull: xm,
  isSymbol: N0,
  isArguments: E0,
  isElement: C0,
  isDocument: T0,
  isWindow: M0,
  isFormData: w0,
  isMap: I0,
  isWeakMap: W0,
  isSet: F0,
  isWeakSet: A0,
  isLeapYear: r0,
  isMatch: R0,
  isEqual: k0,
  isEqualWith: U0,
  getType: P0,
  uniqueId: G0,
  getSize: o0,
  indexOf: u0,
  lastIndexOf: v0,
  findIndexOf: L0,
  findLastIndexOf: Y0,
  toStringJSON: z0,
  toJSONString: b0,
  keys: c0,
  values: l0,
  entries: q0,
  pick: B0,
  omit: V0,
  first: H0,
  last: x0,
  each: t0,
  forOf: n0,
  lastForOf: i0,
  lastEach: s0,
  has: Z0,
  get: K0,
  set: J0,
  groupBy: Q0,
  countBy: X0,
  clone: f0,
  clear: h0,
  remove: $0,
  range: j0,
  destructuring: r_,
  // number
  random: e_,
  min: t_,
  max: a_,
  commafy: n_,
  round: i_,
  ceil: u_,
  floor: v_,
  toFixed: c_,
  toNumber: f_,
  toNumberString: o_,
  toInteger: l_,
  add: s_,
  subtract: $_,
  multiply: h_,
  divide: p_,
  sum: g_,
  mean: m_,
  // date
  now: N_,
  timestamp: E_,
  isValidDate: C_,
  isDateSame: T_,
  toStringDate: S_,
  toDateString: O_,
  getWhatYear: __,
  getWhatQuarter: d_,
  getWhatMonth: y_,
  getWhatWeek: M_,
  getWhatDay: D_,
  getYearDay: w_,
  getYearWeek: I_,
  getMonthWeek: W_,
  getDayOfYear: F_,
  getDayOfMonth: A_,
  getDateDiff: R_,
  // string
  trim: G_,
  trimLeft: Y_,
  trimRight: L_,
  escape: z_,
  unescape: b_,
  camelCase: q_,
  kebabCase: B_,
  repeat: P_,
  padStart: U_,
  padEnd: k_,
  startsWith: V_,
  endsWith: H_,
  template: x_,
  toFormatString: Z_,
  toString: ja,
  toValueString: ja,
  // function
  noop: K_,
  property: J_,
  bind: Q_,
  once: X_,
  after: j_,
  before: rd,
  throttle: ed,
  debounce: ad,
  delay: td,
  // url
  unserialize: nd,
  serialize: id,
  parseUrl: ud,
  // web
  getBaseURL: vd,
  locat: cd,
  browse: fd,
  cookie: ld
});
var Z = qn;
const te = (r, e, a = 2) => `${r}`.padStart(a, e), rt = {
  toShamsi(r, e = !1) {
    let a = "";
    return r && (e ? a = `${te(new Date(r).getHours(), "0")}:${te(new Date(r).getMinutes(), "0")}:${te(new Date(r).getSeconds(), "0")} - 
                ${new Date(r).toLocaleDateString("fa-IR", { year: "numeric", month: "numeric", day: "numeric" })}` : a = new Date(r).toLocaleDateString("fa-IR", { year: "numeric", month: "numeric", day: "numeric" })), a;
  }
}, od = (r) => r == null || r == null || typeof r == "string" && r == "" || typeof r == "number" && isNaN(r), ne = {
  numerals(r, e = !1, a = !1, t = !1, n = !0) {
    if (od(r))
      return "-";
    const i = Bn(() => {
      const v = {
        maximumFractionDigits: 2,
        minimumFractionDigits: 2
      }, c = r / 1;
      if (e && c < 0) {
        const l = (c * -1).toLocaleString("fa-IR", v).replace(/٫/g, ".");
        return a ? '<span style="color:red"> ( ' + l + " )</span>" : "( " + l + " )";
      }
      return a ? "<span>" + c.toLocaleString("fa-IR", v).replace(/٫/g, ".") + "</span>" : c.toLocaleString("fa-IR", v).replace(/٫/g, ".");
    }).value;
    let u = n ? i : i.split(".")[0];
    return u = u + (t ? "%" : ""), u;
  }
}, sd = { style: { width: "100%" } }, $d = { class: "flex items-center justify-center" }, hd = { class: "flex items-center justify-center" }, gd = /* @__PURE__ */ Vn({
  __name: "vue3Table",
  props: {
    msg: { type: String },
    headers: { type: [], required: !0 },
    tableData: { type: [] }
  },
  setup(r) {
    const e = r, a = (v, c) => {
      switch (console.log(23), c.type) {
        case "boolean":
          return Z.get(v, c.field) == !0 ? "بله" : "خیر";
        case "date":
          return rt.toShamsi(Z.get(v, c.field), !1);
        case "dateTime":
          return rt.toShamsi(Z.get(v, c.field), !0);
        case "decimal":
          return ne.numerals(Z.get(v, c.field), !1, !1, !1, !0);
        case "number":
          return ne.numerals(Z.get(v, c.field), !1, !1, !1, !1);
        case "percent":
          return ne.numerals(Z.get(v, c.field), !1, !1, !0, !0);
        default:
          return Z.get(v, c.field);
      }
    }, t = Se([
      { data: "" }
    ]), n = Se(), i = (v) => {
      debugger;
      const c = n.value;
      c && (v.checked = !0, c.updateData());
    }, u = ({ option: v, row: c, column: l }) => {
      const f = e.headers.find((s) => s.field == l.field);
      return f == null ? void 0 : f.filterEvent(c, v.data);
    };
    return (v, c) => {
      const l = cr("vxe-select"), f = cr("vxe-input"), s = cr("vxe-column"), o = cr("vxe-colgroup"), p = cr("vxe-table");
      return w(), x("div", sd, [
        Oe(p, {
          ref_key: "tableRef",
          ref: n,
          data: r.tableData,
          align: "center",
          border: "",
          size: "mini",
          "row-config": { isHover: !0 },
          "filter-config": { showIcon: !1 },
          width: "100%"
        }, {
          default: lr(() => [
            (w(!0), x(j, null, qr(r.headers, (h, y) => (w(), x(j, { key: y }, [
              h.isFilter ? (w(), Nr(o, {
                key: 0,
                title: h.header
              }, {
                default: lr(() => [
                  Oe(s, {
                    field: h.field,
                    sortable: "",
                    "show-overflow": "",
                    "show-header-overflow": "",
                    filters: t.value,
                    "filter-method": u
                  }, {
                    header: lr(({ column: _ }) => {
                      var D;
                      return [
                        ((D = h.filterItems) == null ? void 0 : D.length) > 0 ? (w(!0), x(j, { key: 0 }, qr(_.filters, (C) => (w(), Nr(l, {
                          modelValue: C.data,
                          "onUpdate:modelValue": ($) => C.data = $,
                          options: h.filterItems,
                          onChange: ($) => i(C),
                          placeholder: h.header,
                          clearable: "",
                          transfer: ""
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "options", "onChange", "placeholder"]))), 256)) : (w(!0), x(j, { key: 1 }, qr(_.filters, (C, $) => (w(), Nr(f, {
                          type: "text",
                          key: $,
                          modelValue: C.data,
                          "onUpdate:modelValue": (g) => C.data = g,
                          onChange: (g) => i(C),
                          placeholder: h.header,
                          clearable: ""
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "onChange", "placeholder"]))), 128))
                      ];
                    }),
                    default: lr(({ row: _ }) => [
                      Ne("div", $d, [
                        h.type == "custome" ? Ee(v.$slots, "default", {
                          key: 0,
                          data: { row: _, column: h.field }
                        }) : (w(), x(j, { key: 1 }, [
                          Ce(Te(a(_, h)), 1)
                        ], 64))
                      ])
                    ]),
                    _: 2
                  }, 1032, ["field", "filters"])
                ]),
                _: 2
              }, 1032, ["title"])) : (w(), Nr(s, {
                key: 1,
                title: h.header,
                field: h.field,
                sortable: "",
                "show-overflow": "",
                "show-header-overflow": "",
                filters: t.value,
                "filter-method": u
              }, {
                default: lr(({ row: _ }) => [
                  Ne("div", hd, [
                    h.type == "custome" ? Ee(v.$slots, "default", {
                      key: 0,
                      data: { row: _, column: h.field }
                    }) : (w(), x(j, { key: 1 }, [
                      Ce(Te(a(_, h)), 1)
                    ], 64))
                  ])
                ]),
                _: 2
              }, 1032, ["title", "field", "filters"]))
            ], 64))), 128))
          ]),
          _: 3
        }, 8, ["data"])
      ]);
    };
  }
});
export {
  gd as vue3Table
};
